<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="Integer_pal">
  <refnamediv>
    <refname>Integer_pal</refname>
    <refpurpose>Integer palette</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/Integer_pal_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Module_Integer_pal">
    <title>Module</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="scicos_manual">Scicos</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_Integer_pal">
    <title>Description</title>
    <para>
That palette is dedicated to handle integer numbers.
Various basic operators for the management of bit fields and
for logic are implemented as well as common gates encountered
in digital circuits.

</para>
  </refsection>
  <refsection id="Blocks_Integer_pal">
    <title>Blocks</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="BITCLEAR">BITCLEAR - BITCLEAR Clear a Bit</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="BITSET">BITSET - BITSET Set a Bit</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="CONVERT">CONVERT - CONVERT Data Type Conversion</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="DFLIPFLOP">DFLIPFLOP - D flip-flop</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="DLATCH">DLATCH - D latch flip-flop</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="EXTRACTBITS">EXTRACTBITS - EXTRACTBITS</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="INTMUL">INTMUL - INTMUL integer matrix multiplication</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="JKFLIPFLOP">JKFLIPFLOP - JK flip-flop</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="LOGIC">LOGIC - Combinational Logic</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="SHIFT">SHIFT - SHIFT Shift Bits</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="SRFLIPFLOP">SRFLIPFLOP - SR flip-flop</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
